#ifndef __ExpatAdapter_hpp__
#define __ExpatAdapter_hpp__

// =================================================================================================
// Copyright 2005 Adobe Systems Incorporated
// All Rights Reserved.
//
// NOTICE:  Adobe permits you to use, modify, and distribute this file in accordance with the terms
// of the Adobe license agreement accompanying it.
// =================================================================================================

#include "XMP_Environment.h"	// ! Must be the first #include!
#include "XMLParserAdapter.hpp"

#include "expat.h"
// =================================================================================================
// Derived XML parser adapter for Expat.
// =================================================================================================

class ExpatAdapter : public XMLParserAdapter {
public:

	XML_Parser parser;
	size_t     nesting;
	
	ExpatAdapter();
	virtual ~ExpatAdapter();
	
	void ParseBuffer ( void * buffer, size_t length, bool last );

};

// =================================================================================================

#endif	// __ExpatAdapter_hpp__
